#ifndef KIO_JOB_H
#define KIO_JOB_H

#include <kio/kio_export.h>
#include <kmimetype.h>
#include <kfileitem.h>
#include <kjobuidelegate.h>
#include <kjob.h>
#include "dummy.h"

namespace KIO {
    enum LoadType { Reload, NoReload };
    enum JobFlag {
      DefaultFlags = 0,
      HideProgressInfo = 1,
      Resume = 2,
      Overwrite = 4
    };
    Q_DECLARE_FLAGS(JobFlags, JobFlag)
    Q_DECLARE_OPERATORS_FOR_FLAGS(JobFlags)

    class JobUiDelegate : public KJobUiDelegate {
    public:
        void setWindow(QWidget *window) {
            NOT_IMPLEMENTED_MESSAGE
        }
    };

    class Job : public KJob {
    public:
        void exec() {
            NOT_IMPLEMENTED_MESSAGE
        }
        JobUiDelegate *ui() const {
            NOT_IMPLEMENTED_MESSAGE
            return 0;
        }
    };

    class FileCopyJob : public Job {
    };

    class KIO_EXPORT StoredTransferJob : public Job {
    Q_OBJECT
    public:
        QByteArray data() const {
           NOT_IMPLEMENTED_MESSAGE
           return QByteArray();
        }
    };

    class PreviewJob : public KIO::Job {
    };

    inline FileCopyJob *file_copy( const KUrl&, const KUrl&, int=-1,
            JobFlags= DefaultFlags ) {
        NOT_IMPLEMENTED_MESSAGE
        return 0;
    }
    inline StoredTransferJob *storedGet(const KUrl&, LoadType = NoReload,
            JobFlags = DefaultFlags) {
        NOT_IMPLEMENTED_MESSAGE
        return 0;
    }
    inline PreviewJob *filePreview(const KFileItemList&, int, int=0, int=0,
            int=70, bool=true, bool=true, const QStringList* =0) {
        NOT_IMPLEMENTED_MESSAGE
        return 0;
    }
    inline PreviewJob *filePreview(const KUrl::List &, int, int = 0, int=0,
            int=70, bool=true, bool=true, const QStringList* =0 ) {
        NOT_IMPLEMENTED_MESSAGE
        return 0;
    }
}

#endif
